/*
 * The Apache Software License, Version 1.1
 *
 * Copyright (c) 1999 The Apache Software Foundation.  All rights 
 * reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution, if
 *    any, must include the following acknowlegement:  
 *       "This product includes software developed by the 
 *        Apache Software Foundation (http://www.apache.org/)."
 *    Alternately, this acknowlegement may appear in the software itself,
 *    if and wherever such third-party acknowlegements normally appear.
 *
 * 4. The names "The Jakarta Project", "Tomcat", and "Apache Software
 *    Foundation" must not be used to endorse or promote products derived
 *    from this software without prior written permission. For written 
 *    permission, please contact apache@apache.org.
 *
 * 5. Products derived from this software may not be called "Apache"
 *    nor may "Apache" appear in their names without prior written
 *    permission of the Apache Group.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation.  For more
 * information on the Apache Software Foundation, please see
 * <http://www.apache.org/>.
 *
 */ 

/* Generated By:JJTree: Do not edit this line. ParserTreeConstants.java */

package org.apache.taglibs.standard.lang.jpath.expression;

public interface ParserTreeConstants
{
  public int JJTEXPRESSION = 0;
  public int JJTVOID = 1;
  public int JJTOROPERATOR = 2;
  public int JJTANDOPERATOR = 3;
  public int JJTEQUALSOPERATOR = 4;
  public int JJTNOTEQUALSOPERATOR = 5;
  public int JJTLESSTHANOPERATOR = 6;
  public int JJTGREATERTHANOPERATOR = 7;
  public int JJTLESSTHANEQUALOPERATOR = 8;
  public int JJTGREATERTHANEQUALOPERATOR = 9;
  public int JJTADDITIONOPERATOR = 10;
  public int JJTSUBTRACTIONOPERATOR = 11;
  public int JJTMULTIPLICATIONOPERATOR = 12;
  public int JJTDIVISIONOPERATOR = 13;
  public int JJTMODULUSOPERATOR = 14;
  public int JJTUNIONOPERATOR = 15;
  public int JJTINTROSPECTIONOPERATOR = 16;
  public int JJTFILTEROPERATOR = 17;
  public int JJTPREDICATE = 18;
  public int JJTBOOLEANFUNCTION = 19;
  public int JJTNUMBERFUNCTION = 20;
  public int JJTSTRINGFUNCTION = 21;
  public int JJTNOTFUNCTION = 22;
  public int JJTFLOORFUNCTION = 23;
  public int JJTCEILINGFUNCTION = 24;
  public int JJTROUNDFUNCTION = 25;
  public int JJTFORMATNUMBERFUNCTION = 26;
  public int JJTCONCATFUNCTION = 27;
  public int JJTENCODEURLFUNCTION = 28;
  public int JJTENCODEHTMLFUNCTION = 29;
  public int JJTSTRINGLENGTHFUNCTION = 30;
  public int JJTSUBSTRINGFUNCTION = 31;
  public int JJTSTARTSWITHFUNCTION = 32;
  public int JJTCONTAINSFUNCTION = 33;
  public int JJTSUBSTRINGBEFOREFUNCTION = 34;
  public int JJTSUBSTRINGAFTERFUNCTION = 35;
  public int JJTTRANSLATEFUNCTION = 36;
  public int JJTPOSITIONFUNCTION = 37;
  public int JJTCURRENTFUNCTION = 38;
  public int JJTLASTFUNCTION = 39;
  public int JJTCOUNTFUNCTION = 40;
  public int JJTSUMFUNCTION = 41;
  public int JJTNOWFUNCTION = 42;
  public int JJTDATEFUNCTION = 43;
  public int JJTFORMATDATEFUNCTION = 44;
  public int JJTROLLDATEFUNCTION = 45;
  public int JJTADDDATEFUNCTION = 46;
  public int JJTTOKENIZEFUNCTION = 47;
  public int JJTUSERFUNCTION = 48;
  public int JJTSCOPELIMITOPERATOR = 49;
  public int JJTIDENTIFIER = 50;
  public int JJTSCOPELIMITNAME = 51;
  public int JJTBOOLEANLITERAL = 52;
  public int JJTNUMBERLITERAL = 53;
  public int JJTSTRINGLITERAL = 54;
  public int JJTLISTLITERAL = 55;


  public String[] jjtNodeName = {
    "Expression",
    "void",
    "OrOperator",
    "AndOperator",
    "EqualsOperator",
    "NotEqualsOperator",
    "LessThanOperator",
    "GreaterThanOperator",
    "LessThanEqualOperator",
    "GreaterThanEqualOperator",
    "AdditionOperator",
    "SubtractionOperator",
    "MultiplicationOperator",
    "DivisionOperator",
    "ModulusOperator",
    "UnionOperator",
    "IntrospectionOperator",
    "FilterOperator",
    "Predicate",
    "BooleanFunction",
    "NumberFunction",
    "StringFunction",
    "NotFunction",
    "FloorFunction",
    "CeilingFunction",
    "RoundFunction",
    "FormatNumberFunction",
    "ConcatFunction",
    "EncodeUrlFunction",
    "EncodeHtmlFunction",
    "StringLengthFunction",
    "SubstringFunction",
    "StartsWithFunction",
    "ContainsFunction",
    "SubstringBeforeFunction",
    "SubstringAfterFunction",
    "TranslateFunction",
    "PositionFunction",
    "CurrentFunction",
    "LastFunction",
    "CountFunction",
    "SumFunction",
    "NowFunction",
    "DateFunction",
    "FormatDateFunction",
    "RollDateFunction",
    "AddDateFunction",
    "TokenizeFunction",
    "UserFunction",
    "ScopeLimitOperator",
    "Identifier",
    "ScopeLimitName",
    "BooleanLiteral",
    "NumberLiteral",
    "StringLiteral",
    "ListLiteral",
  };
}
